import 'package:json_annotation/json_annotation.dart';

import 'package:pshared/data/dto/payment/fee_line.dart';

part 'quote_fees.g.dart';

@JsonSerializable()
class QuoteFeesDTO {
  final List<FeeLineDTO>? lines;

  const QuoteFeesDTO({this.lines});

  factory QuoteFeesDTO.fromJson(Map<String, dynamic> json) =>
      _$QuoteFeesDTOFromJson(json);
  Map<String, dynamic> toJson() => _$QuoteFeesDTOToJson(this);
}
